﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Wpf;

namespace Test2
{
    public partial class MainWindow : Window
    {
        Proj4Projection proj4Projection;

        public MainWindow()
        {
            InitializeComponent();

        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            LayerOverlay myOverlay = new LayerOverlay();
            Map1.Overlays.Add(myOverlay);

            proj4Projection = new Proj4Projection();
            proj4Projection.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(3375);
            proj4Projection.ExternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
            proj4Projection.Open();

            string[] files = System.IO.Directory.GetFiles(@"..\..\AppData");
            foreach (string file in files)
            {
                GeoTiffRasterLayer tiffLayer = new GeoTiffRasterLayer(file);
                tiffLayer.ImageSource.Projection = proj4Projection;
                myOverlay.Layers.Add(tiffLayer);
            }

            Map1.CurrentExtent = new RectangleShape(-136.60, 68.06, -53.81, 11.63); //myOverlay.GetBoundingBox();

            Map1.Refresh();
        }

        private void map_MouseMove(object sender, System.Windows.Input.MouseEventArgs e)
        {
            Point point = e.MouseDevice.GetPosition(Map1);

            ScreenPointF screenPointF = new ScreenPointF((float)point.X, (float)point.Y);
            PointShape pointShape = ExtentHelper.ToWorldCoordinate(Map1.CurrentExtent, screenPointF, (float)Map1.ActualWidth, (float)Map1.ActualHeight);

            if (proj4Projection != null)
            {
                TextBoxSatus.Text = "X: " + DecimalDegreesHelper.GetDegreesMinutesSecondsStringFromDecimalDegree(pointShape.X) +
                              "  Y: " + DecimalDegreesHelper.GetDegreesMinutesSecondsStringFromDecimalDegree(pointShape.Y);
            }
        }
    }
}
